package com.ruoyi.doubledefense.dto.res;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.doubledefense.dto.RiskEventDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 风险事件对象 tb_risk_event
 * 
 * @author ruoyi
 * @date 2023-08-03
 */
@ApiModel("风险事件出参实体")
public class RiskEventResultDTO extends RiskEventDTO
{
    private static final long serialVersionUID = 1L;
    /** 风险分析对象编码 */
    @ApiModelProperty("风险分析对象名称")
    @Excel(name = "风险分析对象名称")
    private String hazardName;

    /** 风险分析单元名称 */
    @ApiModelProperty("风险分析单元名称")
    @Excel(name = "风险分析单元名称")
    private String riskUnitName;

    @ApiModelProperty("风险分析对象ID")
    @Excel(name = "风险分析对象ID")
    private String hazardId;

    @ApiModelProperty("风险分析单元ID")
    @Excel(name = "风险分析单元ID")
    private String riskUnitId;

    public String getHazardId() {
        return hazardId;
    }

    public void setHazardId(String hazardId) {
        this.hazardId = hazardId;
    }

    @Override
    public String getRiskUnitId() {
        return riskUnitId;
    }

    @Override
    public void setRiskUnitId(String riskUnitId) {
        this.riskUnitId = riskUnitId;
    }

    public String getRiskUnitName() {
        return riskUnitName;
    }

    public void setRiskUnitName(String riskUnitName) {
        this.riskUnitName = riskUnitName;
    }

    public String getHazardName() {
        return hazardName;
    }

    public void setHazardName(String hazardName) {
        this.hazardName = hazardName;
    }
}
